## org.apache.axis.utils.cache
Class JavaClass

    java.lang.Object
      org.apache.axis.utils.cache.JavaClass

All Implemented Interfaces:
  java.io.Serializable

public class JavaClass
extends java.lang.Object
implements java.io.Serializable

A simple cache of previously loaded classes, and their methods.

Author:
  Sam Ruby <rubys@us.ibm.com>
See Also:
  Serialized Form

Constructor Summary
`JavaClass(java.lang.Class jc)` Create a cache entry for this java.lang.Class

Method Summary
`static JavaClass` `find(java.lang.Class jc)` Find (or create if necessary) a JavaClass associated with a given class
`java.lang.Class` `getJavaClass()` Return the java.lang.Class associated with this entry
`java.lang.reflect.Method[]` `getMethod(java.lang.String name)` Lookup a method based on name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaClass

    public JavaClass(java.lang.Class jc)

  Create a cache entry for this java.lang.Class

Method Detail

### find

    public static JavaClass find(java.lang.Class jc)

  Find (or create if necessary) a JavaClass associated with a given class

### getJavaClass

    public java.lang.Class getJavaClass()

  Return the java.lang.Class associated with this entry

### getMethod

    public java.lang.reflect.Method[] getMethod(java.lang.String name)

  Lookup a method based on name. This method returns an array just in case there is more than one.

  Parameters:
    `name` - name of method

Copyright © 2005 Apache Web Services Project. All Rights Reserved.